Bug 832309 - [Doc]Problems about manual and help of virsh desc command
[Doc]Problems about manual and help of virsh desc command
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.3
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Martin Kletzander
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 02:30 EDT by hongming
Modified: 2013-02-21 02:17 EST (History)
7 users (show)

See Also:
Fixed In Version: libvirt-0.9.13-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:17:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hongming 2012-06-15 02:30:29 EDT
Description of problem:
There are some problems about manual and help of virsh desc command.Please pay attention to the content of brackets


Version-Release number of selected component (if applicable):
libvirt-0.9.10-21.el6.x86_64

How reproducible:
100% 

Steps to Reproduce:
1.#virsh help desc

# virsh help desc
  NAME
    desc - show or set domain's description or title

  SYNOPSIS
    desc <domain> [--live] [--config] [--current] [--title] [--edit] [[--new-desc] <string>]...

  DESCRIPTION
    Allows to show or modify description or title of a domain.

  OPTIONS
    [--domain] <string>  domain name, id or uuid
    --live         modify/get running state
    --config       modify/get persistent configuration
    --current      modify/get current state configuration
    --title        modify the title instead of description   (It also can get title ,refer to step2 )
    --edit          open an editor to modify the description 
    [--new-desc] <string>  message


2. # virsh desc rhel6u31 --title
redhat

# virsh desc rhel6u31
good domain


3. #man virsh
.....
 desc [[--live] [--config] | [--current]] [--title] [--edit] [--new-desc New description or title message] ( It lost the "domain-id " parameter, should be "desc domain-id" )
.....
          
If neither of --edit and --new_desc are specified the note or description is displayed instead of being modified.( Should be "--new-desc" )

  
Actual results:


Expected results:


Additional info:
Comment 2 Martin Kletzander 2012-06-20 11:44:39 EDT
Moving to POST:

commit 3dc733bb0134c1d026b48b8bdfd98db9751f6f3f
Author: Martin Kletzander <mkletzan@redhat.com>
Date:   Tue Jun 19 11:05:31 2012 +0200

    virsh: fix few typos on desc command
Comment 4 yuping zhang 2012-07-24 03:30:34 EDT
Verified this issue with libvirt-0.9.13-3.el6.x86_64.

1.#virsh help desc
  NAME
    desc - show or set domain's description or title

  SYNOPSIS
    desc <domain> [--live] [--config] [--current] [--title] [--edit] [[--new-desc] <string>]...

  DESCRIPTION
    Allows to show or modify description or title of a domain.

  OPTIONS
    [--domain] <string>  domain name, id or uuid
    --live           modify/get running state
    --config         modify/get persistent configuration
    --current        modify/get current state configuration
    --title          modify/get the title instead of description  ###updated
    --edit           open an editor to modify the description
    [--new-desc] <string>  message

2. man virsh
...
desc domain-id [[--live] [--config] | [--current]] [--title] [--edit] [--new-desc New description or title message]   ###########Added domain-id
...
    If neither of --edit and --new-desc are specified the note or description is
displayed instead of being modified.  #######--new-desc was updated.

So change the bug status to VERIFIED.
Comment 5 errata-xmlrpc 2013-02-21 02:17:41 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.